File: ffi-rzmq.gemspec

package info (click to toggle)
ruby-ffi-rzmq 2.0.4-1
  • links: PTS, VCS
  • area: main
  • in suites: stretch
  • size: 364 kB
  • ctags: 203
  • sloc: ruby: 2,946; makefile: 2
file content (27 lines) | stat: -rw-r--r-- 1,151 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "ffi-rzmq/version"

Gem::Specification.new do |s|
  s.name        = "ffi-rzmq"
  s.version     = ZMQ::VERSION
  s.authors     = ["Chuck Remes"]
  s.email       = ["git@chuckremes.com"]
  s.homepage    = "http://github.com/chuckremes/ffi-rzmq"
  s.summary     = %q{This gem wraps the ZeroMQ (0mq) networking library using Ruby FFI (foreign function interface).}
  s.description = %q{This gem wraps the ZeroMQ networking library using the ruby FFI (foreign
function interface). It's a pure ruby wrapper so this gem can be loaded
and run by any ruby runtime that supports FFI. That's all of the major ones - MRI, Rubinius and JRuby.}

  s.license = 'MIT'
  s.rubyforge_project = "ffi-rzmq"

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_runtime_dependency "ffi-rzmq-core", [">= 1.0.1"]
  s.add_development_dependency "rspec", ["~> 2.14"]
  s.add_development_dependency "rake"
end